clear all;close all;clc
tic
batches_to_run = 1:400;
%%
for i=1:length(batches_to_run)
    try
        delete(job(i))
    end
    job(i) = batch(@administer_questionnaires,1,{batches_to_run(i)});
end

%% wait until all batches are finished
for i=1:length(batches_to_run)
    disp(['Instruction to halt MATLAB until the job finishes; Batch number: ' num2str(i)])
    wait(job(i));
end



